namespace EDPlayerJournal.Entries; 
public class MissionRedirectedEntry : Entry {
    public int MissionID { get; set; } = 0;
    public string? Name { get; set; }
    public string? NewDestinationStation { get; set; }
    public string? NewDestinationSystem { get; set; }
    public string? OldDestinationSystem { get; set; }

    protected override void Initialise() {
        MissionID = (JSON.Value<int?>("MissionID") ?? 0);
        Name = JSON.Value<string>("Name");
        NewDestinationStation = JSON.Value<string>("NewDestinationStation");
        NewDestinationSystem = JSON.Value<string>("NewDestinationSystem");
        OldDestinationSystem = JSON.Value<string>("OldDestinationSystem");
    }
}
